
Redmine - Feature #7181

List of trackers in REST API

2010-12-27 13:51 - Mark Kofman

Status: Closed Start date: 2010-12-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

Now it is impossible to get the list of all available trackers through REST API.

Related issues:

Related to Redmine - Feature #7184: provide trackers in "project XML" response Closed 2010-12-28

Associated revisions

Revision 7877 - 2011-11-20 15:17 - Jean-Philippe Lang

Adds API response to /trackers to get the list of all available trackers (#7181).

History

#1 - 2010-12-28 00:40 - Alex Last

I've submitted a related task #7184.

#2 - 2011-03-15 23:39 - Rodrigo Recio

I've made a pull request on github with a code that expose trackers through REST, but no one use it.

Can anyone please do something about it?

#3 - 2011-03-30 19:54 - Marco Descher

same problem here ... :(

#4 - 2011-04-22 15:28 - RedminePro Yang

Already support. You can tracker for a project by

http://www.redmine.org/projects/1.json?include[]=trackers

#5 - 2011-11-14 02:43 - Rodrigo Recio

Well, I'm on 1.2.1 and it's not working :(

#6 - 2011-11-14 03:01 - Rodrigo Recio

I'm sorry, I was wrong. it works, thanks.

#7 - 2011-11-16 05:29 - Mischa The Evil

Does this issue got superseeded by #7184 completely? If yes, then we can close this issue.

#8 - 2011-11-20 15:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.3.0

- Resolution set to Fixed

Added in r7877. You can now do GET /trackers.(xml|json)

#9 - 2011-11-20 20:06 - Alex Last

Thanks! We will add support to Redmine Java API soon.
